## ocaml-theora 0.2.0~svn6618

=== examples/Makefile ===
# OCaml-Lastfm examples.
#
# Copyright 2007 by the Savonet team.
#
# $Id: Makefile 4694 2007-10-23 23:33:11Z smimram $

all clean:
	$(MAKE) -f Makefile.thtranscode $@

distclean: clean
	rm -rf autom4te.cache config.log config.status autom4te.cache

## ocaml-theora 0.3.0

=== examples/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# OCaml-Lastfm examples.
+# OCaml-theora examples.
 #
 # Copyright 2007 by the Savonet team.
 #

=== debian/changelog ===
ocaml-theora (0.3.0-3build4) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 08:17:29 +0200

ocaml-theora (0.3.0-3build3) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Jun 2017 10:09:45 +0100

ocaml-theora (0.3.0-3build2) xenial; urgency=medium

  * No-change rebuild against new ocaml ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 04 Nov 2015 12:55:53 +0000

ocaml-theora (0.3.0-3build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:27:59 +0000

ocaml-theora (0.3.0-3) unstable; urgency=low

  * Upload to unstable.
  * Force build-dep on ocaml-ogg >= 0.4.5 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 19:29:07 -0500

ocaml-theora (0.3.0-2) experimental; urgency=low

  * Upload to experimental to rebuild against
    ocaml-ogg 0.4.4.
  * Bumped standards version to 3.9.4

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 20 Apr 2013 11:19:55 -0500

ocaml-theora (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.9.2
  * Switched to 3.0 (quilt) package format.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 05 Jul 2011 09:49:57 -0500

ocaml-theora (0.3.0~20110523+hgb02e02b1cf7c-1) experimental; urgency=low

  * Snapshot from mercurial repository.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 23 May 2011 19:15:55 -0500

ocaml-theora (0.2.0-4) unstable; urgency=low

  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 03 Mar 2011 13:47:33 -0600

ocaml-theora (0.2.0-3) experimental; urgency=low

  * Rebuild against ocaml-ogg 0.4.1 in experimental. 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 07 Sep 2010 18:50:44 -0500

ocaml-theora (0.2.0-2) experimental; urgency=low

  * Fix build-deps to libtheora-dev

 -- Stéphane Glondu <glondu@debian.org>  Thu, 19 Aug 2010 13:54:47 -0500

ocaml-theora (0.2.0-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental now that squeeze is frozen.
  * Bumped standards version to 3.9.1 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 19 Aug 2010 13:54:47 -0500

ocaml-theora (0.2.0~svn6618-1) unstable; urgency=low

  * Packaged a snapshot of the current developpement code
    that support the new theora API. Previous version of 
    the binding is broken with the recent libthreora. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 25 Mar 2010 11:41:21 -0500

ocaml-theora (0.1.2-1) unstable; urgency=low

  [ Stephane Glondu ]
  * Use ocaml.mk as a CDBS "rules" file (Closes: #549853)

  [ Romain Beauxis ]
  * New upstream release.
  * Bumped standards version to 3.8.3
  * Enabled debugging.
  * Use new automatic dependency system.
  * Added doc-base registration.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 14 Oct 2009 17:21:16 -0500

ocaml-theora (0.1.1-2) unstable; urgency=low

  [ Samuel Mimram ]
  * Correct typo in package description, closes: #524036.

  [ Romain Beauxis ]
  * Added missing .a files to libtheora-ocaml-dev. 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 19 May 2009 09:41:04 +1100

ocaml-theora (0.1.1-1) unstable; urgency=low

  * New upstream release, fixes license inconsistency. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 30 Mar 2009 18:53:53 +0200

ocaml-theora (0.1.0-3) unstable; urgency=low

  * Fixed debian/copyright. 
  * Bumped standards version to 3.8.1
  * Fixed install file for non-native archs.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 30 Mar 2009 17:13:47 +0200

ocaml-theora (0.1.0-2) unstable; urgency=low

  * Fixed dependencies of libtheora-ocaml-dev 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 01 Mar 2009 14:32:55 +0100

ocaml-theora (0.1.0-1) unstable; urgency=low

  * Initial upload to unstable (Closes: #515813)

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 28 Feb 2009 13:37:15 +0100

=== debian/control ===
Source: ocaml-theora
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: 
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9), 
 libtheora-dev (>= 1.1), 
 libogg-ocaml-dev (>= 0.4.5),
 ocaml-findlib (>= 1.2.4), 
 pkg-config
Standards-Version: 3.9.4
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-theora.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-theora.git

Package: libtheora-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the theora library
 This package provides an interface to the theora library for 
 OCaml programmers.
 .
 Theora is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed video format.
 .
 This package contains only the shared runtime stub libraries.

Package: libtheora-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libtheora-dev, libogg-ocaml-dev (>= 0.3.0-1),
         libtheora-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the theora library
 This package provides an interface to the theora library for
 OCaml programmers.
 .
 Theora is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed video format.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-theora.

=== debian/watch ===
version=3
http://sf.net/savonet/ocaml-theora-(.+)\.tar\.gz

## ocaml-theora 0.3.1

=== debian/changelog ===
ocaml-theora (0.3.1-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:31:55 +0000

ocaml-theora (0.3.1-2) unstable; urgency=medium

  * Fix VCS-Git URL
  * Install examples

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 25 Jun 2018 13:43:23 +0200

ocaml-theora (0.3.1-1) unstable; urgency=medium

  * New upstream version
  * Update watch file to use new upstream github repo
  * New upstream version 0.3.1
  * Update VCS-* to use salsa
  * Bump Standards-Version (no change)
  * Bump compat level (no change)
  * Update copyright

 -- Kyle Robbertze <krobbertze@gmail.com>  Thu, 21 Jun 2018 20:13:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,30 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
-Build-Depends: 
+Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
+           Samuel Mimram <smimram@debian.org>,
+           Romain Beauxis <toots@rastageeks.org>
+Build-Depends:
  cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+ debhelper (>= 10),
  dh-buildinfo,
  ocaml-nox,
- dh-ocaml (>= 0.9), 
- libtheora-dev (>= 1.1), 
- libogg-ocaml-dev (>= 0.4.5),
- ocaml-findlib (>= 1.2.4), 
+ dh-ocaml (>= 0.9),
+ libtheora-dev (>= 1.1),
+ libogg-ocaml-dev (>= 0.5.2),
+ ocaml-findlib (>= 1.2.4),
  pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 4.1.4
 Homepage: http://savonet.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-theora.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-theora.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-theora.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-theora
 
 Package: libtheora-ocaml
 Architecture: any
 Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to the theora library
- This package provides an interface to the theora library for 
+ This package provides an interface to the theora library for
  OCaml programmers.
  .
  Theora is a fully open, non-proprietary, patent-and-royalty-free,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\/// \
  https://github.com/savonet/ocaml-theora/releases .*download/\d\S+/ocaml-theora-(\d\S+).tar.gz

## ocaml-theora 0.4.0

=== debian/changelog ===
ocaml-theora (0.4.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:23:00 +0100

ocaml-theora (0.4.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Remove Samuel and Romain from Uploaders
  * Update debian/watch

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 20:07:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: ocaml-theora
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
-           Samuel Mimram <smimram@debian.org>,
-           Romain Beauxis <toots@rastageeks.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends:
- cdbs (>= 0.4.85~),
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-buildinfo,
  ocaml-nox,
- dh-ocaml (>= 0.9),
+ dh-ocaml,
  libtheora-dev (>= 1.1),
- libogg-ocaml-dev (>= 0.5.2),
- ocaml-findlib (>= 1.2.4),
+ libogg-ocaml-dev (>= 0.7.0),
+ ocaml-dune,
+ libdune-ocaml-dev,
  pkg-config
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: http://savonet.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-theora.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-theora

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p theora

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=4
https://github.com/savonet/ocaml-theora/releases .*/v?([0-9.]+)\.tar\.gz

## ocaml-theora 0.4.1

=== debian/changelog ===
ocaml-theora (0.4.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 30 Dec 2024 17:35:06 +0100

ocaml-theora (0.4.0-5) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 09:26:54 +0200

ocaml-theora (0.4.0-4) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 06:42:12 +0200

ocaml-theora (0.4.0-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 10:57:48 +0200

ocaml-theora (0.4.0-2) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libtheora-dev.
    + libtheora-ocaml-dev: Drop versioned constraint on libogg-ocaml-dev in
      Depends.

  [ Kyle Robbertze ]
  * d/watch: correctly scan GitHub tags
  * d/control: add missing shlibs:Depends

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 13 Nov 2022 16:38:44 +0200

=== debian/control ===
Source: ocaml-theora
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-buildinfo,
               dh-ocaml (>= 1.2),
               libdune-ocaml-dev,
               libogg-ocaml-dev (>= 0.7.0),
               libtheora-dev,
               ocaml-dune,
               ocaml,
               pkgconf
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://savonet.sourceforge.net/
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-theora.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-theora

Package: libtheora-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the theora library
 This package provides an interface to the theora library for
 OCaml programmers.
 .
 Theora is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed video format.
 .
 This package contains only the shared runtime stub libraries.

Package: libtheora-ocaml-dev
Architecture: any
Depends: libogg-ocaml-dev,
         libtheora-dev,
         libtheora-ocaml (= ${binary:Version}),
         ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the theora library
 This package provides an interface to the theora library for
 OCaml programmers.
 .
 Theora is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed video format.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-theora.
